export interface PasswordSpecification {
    minLength: number;
    maxLength: number;
    requiredCharSets: RequiredCharacterSet[];
    allowsChars: string;
}
export interface RequiredCharacterSet {
    count: number;
    chars: string;
}
export declare const CHARACTER_SETS: Readonly<{
    LOWER_ALPHA: string;
    LOWER_ALPHA_DISTINGUISHABLE: string;
    UPPER_ALPHA: string;
    UPPER_ALPHA_DISTINGUISHABLE: string;
    NUMERALS: string;
    NUMERALS_DISTINGUISHABLE: string;
    ALPHANUMERIC: string;
    ALPHANUMERIC_DISTINGUISHABLE: string;
    SYMBOLS: string;
    SYMBOLS_DISTINGUISHABLE: string;
}>;
export declare const DEFAULT_PASSWORD_GENERATION_SPEC: Readonly<{
    minLength: number;
    maxLength: number;
    requiredCharSets: ReadonlyArray<Readonly<{
        chars: string;
        count: number;
    }>>;
    allowedChars: string;
}>;
