import { PostMessageDataTypes, PostMessageType } from './post_messages';
import { RpcMessageDataTypes, RpcMessageType } from './rpc_messages';
export declare type MessageType = PostMessageType | RpcMessageType;
export declare type MessageDataTypes = PostMessageDataTypes & RpcMessageDataTypes;
export interface Message<T extends MessageType> {
    type: T;
    data: MessageDataTypes[T];
}
export declare function isOpenYoloMessageFormat(msgData: any): boolean;
export declare const MESSAGE_DATA_VALIDATORS: {
    [K in MessageType]: (data: any) => boolean;
};
