import { SecureChannel } from '../protocol/secure_channel';
import { ListenerManager } from './listeners';
export declare class FakeMessageChannel implements MessageChannel {
    port1: FakeMessagePort;
    port2: FakeMessagePort;
    constructor();
}
export declare class FakeMessagePort implements MessagePort {
    twin: FakeMessagePort;
    closed: boolean;
    listeners: ListenerManager;
    onmessage(this: MessagePort, ev: MessageEvent): void;
    close(): void;
    postMessage(message?: any, ports?: any): void;
    start(): void;
    addEventListener(type: string, listener: EventListenerOrEventListenerObject, useCapture?: boolean): void;
    dispatchEvent(evt: Event): boolean;
    private twinDispatch(evt);
    removeEventListener(type: string, listener?: EventListenerOrEventListenerObject, useCapture?: boolean): void;
}
export declare class FakeProviderConnection {
    readonly clientChannel: SecureChannel;
    readonly providerChannel: SecureChannel;
    readonly messageChannel: FakeMessageChannel;
    readonly clientPort: FakeMessagePort;
    readonly providerPort: FakeMessagePort;
    constructor();
}
